Subject: Re: bug#44592: In sh-script-mode, should the syntax of . and / be made symbol?

From: Dario Gjorgjevski <[email-masked]>
Date: Wed, 23 Dec 2020 17:05:39 +0100

>> What do you think?  Alternatively, we could work on fixing only the
>> SMIE-provided indentation and leave the syntax as it is.
>
> I think that sounds like a better solution.

The simplest solution I can think of is to change the

    (skip-syntax-backward "w_'")

in ‘sh-smie--default-backward-token’ to

    (skip-syntax-backward ".w_'").

This fixes the issue, but I’m not sure about unwanted effects.
Any ideas if it could cause something to misbehave?

Best regards,
Dario

-- 
$ keyserver=hkps://hkps.pool.sks-keyservers.net
$ keyid=744A4F0B4F1C9371
$ gpg --keyserver $keyserver --search-keys $keyid